# PlexPlaylistSync

PlexPlaylistSync 是一个用于同步 Plex 播放列表和本地 `.m3u`/`.m3u8` 播放列表的工具。它支持自动监控和手动同步，并提供 WebUI 进行管理和配置。

## 功能特点

- **双向同步**:
  - 监控本地 `.m3u`/`.m3u8` 播放列表的变化，并同步到 Plex 播放列表。
  - 监控 Plex 播放列表的变化，并导出到本地 `.m3u`/`.m3u8` 文件。
- **WebUI 管理**: 通过 WebUI 进行设置，例如指定本地目录、配置 Plex 服务器信息、管理播放列表等。
- **支持流媒体播放列表导入**: 从 Spotify、Deezer、Tidal 导入播放列表并匹配 Plex 资源。
- **低功耗运行**: 适合 NAS 或服务器 24 小时运行，优化资源使用，减少能耗。
- **Docker 部署**: 可通过 Docker 轻松部署和运行。

### Token 登录

首次登录时使用用户名和密码连接 Plex 服务器，成功后程序会将获得的 `token` 保存在配置文件中，后续通信仅使用该 `token`，不再保存明文密码。
默认情况下 Plex 服务器使用 `32400` 端口，可在未修改服务器端口时直接使用该默认值。
登录页面提供选择 `http` 或 `https` 的下拉框，服务器地址输入框只需填写域名或 IP，默认值会从 `config.json` 读取。

## 安装

首先安装依赖：

```bash
pip install -r requirements.txt
```

然后启动服务：

```bash
uvicorn app.main:app --port 8080
```
